%define name	cone
%define version	0.62
%define release	1mdk

Summary:	CONE mail reader
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://belnet.dl.sourceforge.net/sourceforge/courier/%{name}-%{version}.tar.bz2
License:	GPL
URL:		http://www.courier-mta.org/cone
Group:		Networking/Mail
BuildPreReq:	aspell-devel
BuildPreReq:	autoconf2.5
BuildPreReq:	fam-devel
BuildPreReq:	gcc-c++
BuildPreReq:	ncurses-devel
BuildPreReq:	libstdc++-devel
BuildPreReq:	libtool
BuildPreReq:	libxml2-devel
BuildPreReq:	openssl-devel
BuildPreReq:	perl
BuildPreReq:	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
CONE is a simple, text-based E-mail reader and writer.

%package	devel
Group:		Development/C++
Summary:	LibMAIL mail client development library.
Requires:	%{name}

%description	devel
The %{name}-devel package the header files and library files for
developing application using LibMAIL - a high level, C++ OO
library for mail clients.

%prep

%setup -q

%build

%configure2_5x \
    --with-devel

# these messes everything up real bad...
#    --datadir=%{_datadir}/cone \
#    --with-filterdir=%{_datadir}/cone/filters \
#    --with-certdb=%{_datadir}/cone/rootcerts \
#    --libexec=%{_bindir} \
#    --enable-mimetypes=%{_sysconfdir}/mime.types \

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

# do not make this spec file as messy as courier-imap...
rm -f %{buildroot}%{_bindir}/cone
mv %{buildroot}%{_libdir}/cone %{buildroot}%{_bindir}/
mv %{buildroot}%{_sysconfdir}/cone.dist %{buildroot}%{_sysconfdir}/cone

# do not install the docs twice...
pushd %{buildroot}%{_datadir}/cone
    for i in *.html; do
	ln -snf ../doc/%{name}-%{version}/html/$i $i
    done
popd

# install missing files
install -m755 libmail/mailtool %{buildroot}%{_bindir}/mailtool
install -m644 help.txt %{buildroot}%{_datadir}/cone/
%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ABOUT-NLS ChangeLog README NEWS AUTHORS COPYING* cone/html
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/cone
%attr(0755,root,root) %{_bindir}/cone
%attr(0755,root,root) %{_bindir}/leaf
%attr(0755,root,root) %{_bindir}/mailtool
%{_datadir}/cone
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%{_libdir}/libmail.a
%{_mandir}/man[35]/*
%{_includedir}/libmail

%changelog
* Mon Aug 30 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.62-1mdk
- 0.62

* Thu Aug 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.61-1mdk
- 0.61
- drop P0, it's in there

* Mon Jun 07 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.60-2mdk
- rebuilt with gcc v3.4.x
- added P0 as suggested by the author

* Mon May 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.60-1mdk
- 0.60

* Tue May 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.59-1mdk
- 0.59

* Thu Apr 22 2004 Michael Scherer <misc@mandrake.org> 0.58-1mdk 
- 0.58

* Tue Dec 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.56-1mdk
- 0.56

* Tue Nov 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.55-1mdk
- 0.55

* Sun Sep 14 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.54-1mdk
- 0.54
- fix invalid-build-requires
- fix explicit-lib-dependency

* Wed Aug 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.53-1mdk
- 0.53

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.52-2mdk
- rebuild

* Tue Jul 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.52-1mdk
- 0.52

* Tue Jun 24 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.51-2mdk
- fix url

* Thu Jun 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.51-1mdk
- initial cooker contrib

